![New Moon Icon](https://github.com/taniarascia/new-moon-vscode/raw/master/images/new-moon-vector-thumbnail.png)

# New Moon Syntax Theme

[![Version](https://vsmarketplacebadge.apphb.com/version-short/taniarascia.new-moon-vscode.svg?color=373277)](https://marketplace.visualstudio.com/items?itemName=taniarascia.new-moon-vscode) [![Downloads](https://vsmarketplacebadge.apphb.com/downloads-short/taniarascia.new-moon-vscode.svg?color=373277)](https://marketplace.visualstudio.com/items?itemName=taniarascia.new-moon-vscode) [![Rating](https://vsmarketplacebadge.apphb.com/rating-star/taniarascia.new-moon-vscode.svg?color=373277)](https://marketplace.visualstudio.com/items?itemName=taniarascia.new-moon-vscode) [![Downloads](https://badges.ml/dt/new-moon)](https://badges.ml/#new-moon) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)

The optimized dark theme for web development.

- [New Moon Theme Website](https://taniarascia.github.io/new-moon/)

## Intuitive Syntax Highlighting

[New Moon](https://taniarascia.github.io/new-moon/) is the optimized dark theme for web development. It has been meticulously designed to be easy on the eyes and intuitive. It's pleasant for long coding hours in any language, and particularly well suited for HTML, CSS, SCSS/LESS, PHP (WordPress), and JavaScript (React, Vue).

- HTML & CSS work together
- Optimized for JSX and React
- Clear distinctions between code and markup

## Platforms

New Moon is available for:

- [Visual Studio Code](https://marketplace.visualstudio.com/items?itemName=taniarascia.new-moon-vscode)
- [Chrome DevTools](https://github.com/taniarascia/new-moon-chrome-devtools)
- [iTerm2](https://github.com/taniarascia/new-moon/tree/master/iterm2)
- [Brackets](https://github.com/taniarascia/new-moon-brackets)
- [Sublime Text](https://packagecontrol.io/packages/New%20Moon%20Color%20Scheme)
- [Atom](https://github.atom.io/packages/new-moon-atom-syntax)
- [Hyper Term](https://github.com/Tmeister/hyperterm-new-moon-theme)
- [Blink Shell](https://github.com/taniarascia/new-moon/tree/master/blink-shell)
- [VIM](https://github.com/taniarascia/new-moon.vim)

## What Are People Saying?

> “Absolutely beautiful theme. Definitely deserves more recognition.”
> — _Arcadia_

> “Undoubtedly the best color theme ever. Just install and see yourself. The background color is perfect for long time exposure to the eyes. And the code color is well lit and separated from each other.”
> — _Ibnul Alam_

> “Great theme for long coding hours.”
> — _Volkan_

> “Really surprised this theme isn't more popular. It's a joy to use for HTML/CSS/JS and PHP. I like that it isn't heavy on blue colors like a lot of the popular dark themes.”
> — _Brendan_

> “I've been using New Moon for several weeks now, I love it. The color palette is very easy on the eyes, especially after a few hours of coding.”
> — _Jose_

> “Wonderful. Well crafted with a clear sense of experience and focus. It actually helps me code more by enjoying the process more. Excellent work Tania.”
> — _Monte_

## Colors

| Usage           | Palette      | Hex Code                                                           |
| --------------- | ------------ | ------------------------------------------------------------------ |
| Background      | Darkest      | ![#2d2d2d](https://placehold.it/15/2d2d2d/ffffff?text=+) `#2d2d2d` |
| Comment         | Medium       | ![#777c85](https://placehold.it/15/777c85/000000?text=+) `#777c85` |
| Foreground      | Light        | ![#b3b9c5](https://placehold.it/15/b3b9c5/000000?text=+) `#b3b9c5` |
| Function        | Lightest     | ![#ffffff](https://placehold.it/15/ffffff/000000?text=+) `#ffffff` |
| Variable        | Red          | ![#f2777a](https://placehold.it/15/f2777a/000000?text=+) `#f2777a` |
| Number          | Orange       | ![#fca369](https://placehold.it/15/fca369/000000?text=+) `#fca369` |
| Attribute       | Yellow       | ![#ffd479](https://placehold.it/15/ffd479/000000?text=+) `#ffd479` |
| Keyword         | Light Yellow | ![#ffeea6](https://placehold.it/15/ffeea6/000000?text=+) `#ffeea6` |
| String          | Green        | ![#92d192](https://placehold.it/15/92d192/000000?text=+) `#92d192` |
| Class/Tag       | Blue         | ![#6ab0f3](https://placehold.it/15/6ab0f3/000000?text=+) `#6ab0f3` |
| Constant/Pseudo | Aqua         | ![#76d4d6](https://placehold.it/15/76d4d6/000000?text=+) `#76d4d6` |
| Support         | Purple       | ![#e1a6f2](https://placehold.it/15/e1a6f2/000000?text=+) `#e1a6f2` |
| Operator        | Beige        | ![#ac8d58](https://placehold.it/15/ac8d58/000000?text=+) `#ac8d58` |

## Screenshots

### Chrome DevTools

![New Moon Screenshot Chrome DevTools](https://github.com/taniarascia/new-moon-vscode/raw/master/images/chromedevtools.png)

### iTerm2

![New Moon Screenshot iTerm2](https://github.com/taniarascia/new-moon-vscode/raw/master/images/iterm2.png)

### VSC: JavaScript/React

![New Moon Screenshot JS](https://github.com/taniarascia/new-moon-vscode/raw/master/images/js.png)

### VSC: CSS/SCSS

![New Moon Screenshot CSS](https://github.com/taniarascia/new-moon-vscode/raw/master/images/css.png)

### VSC: PHP

![New Moon Screenshot PHP](https://github.com/taniarascia/new-moon-vscode/raw/master/images/php.png)

## Acknowledgements

- Originally inspired by Twilight and [Tomorrow Night Eighties](https://github.com/chriskempson/tomorrow-theme).
- Chrome DevTools theme forked from [Zero Base Themes](https://github.com/mauricecruz/zero-base-themes)

## Author

- [Tania Rascia](https://www.taniarascia.com/)

## License

This project is open source and available under the [MIT License](LICENSE).
